Bug 1084320 - Nextcloud rpm requires mod_php_any which is missing.
Nextcloud rpm requires mod_php_any which is missing.
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P2 - High : Normal (vote)
: ---
Assigned To: Eric Schirra
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-07 14:11 UTC by Hans de Raad
Modified: 2020-05-17 19:12 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hans de Raad 2018-03-07 14:11:18 UTC
Same issue as mentioned in: https://bugzilla.opensuse.org/show_bug.cgi?id=1057661

But then for the Nextcloud RPM:
https://build.opensuse.org/package/view_file/openSUSE:Factory/nextcloud/nextcloud.spec?expand=1

Please consider to drop the dependency on mod_php_any as the package is currently uninstallable on Tumbleweed.
Comment 1 Eric Schirra 2018-03-08 07:26:11 UTC
When i look at https://build.opensuse.org/package/binary/openSUSE:Factory/php7?arch=x86_64&filename=apache2-mod_php7-7.2.2-2.1.x86_64.rpm&repository=standard :

Provides
Symbol 	Required by
mod_php_any = 7.2.2 	ganglia-web kohana2 phpPgAdmin postfixadmin robinhood-webgui icingaweb2 nextcloud nagios-www kopano-webapp matomo adminer roundcubemail cacti

So mod_php_any will be provide.
So, why should nextcloud not installable?

Sorry. I have no tumbleweed. 
I use 42.3 without any Problem.
Comment 2 Hans de Raad 2018-03-08 13:56:49 UTC
I can only tell you that an update on Tumbleweed has been blocking installation of the RPM package several times over the past weeks.
When searching bugzilla for this issue, this one for phpMyAdmin popped up:
https://bugzilla.opensuse.org/show_bug.cgi?id=1057661

I guess it makes a valid case as Nextcloud isn't essentially a strict Apache application (an Nginx config is also offered in OBS).

To test this I have just installed a fresh vm with Tumbleweed and tried to install the nextcloud RPM. Apparently a Tumbleweed installment now does provide a working updated PHP. I'm a little baffled as this same action resulted in a failed installation with exactly the same steps in the past couple of weeks.

Will try to update the production server somewhere this weekend and update this issue with the results.
Comment 3 Eric Schirra 2018-04-13 07:59:22 UTC
(In reply to Hans de Raad from comment #2)
> I can only tell you that an update on Tumbleweed has been blocking
> installation of the RPM package several times over the past weeks.
> When searching bugzilla for this issue, this one for phpMyAdmin popped up:
> https://bugzilla.opensuse.org/show_bug.cgi?id=1057661
> 
> I guess it makes a valid case as Nextcloud isn't essentially a strict Apache
> application (an Nginx config is also offered in OBS).
> 
> To test this I have just installed a fresh vm with Tumbleweed and tried to
> install the nextcloud RPM. Apparently a Tumbleweed installment now does
> provide a working updated PHP. I'm a little baffled as this same action
> resulted in a failed installation with exactly the same steps in the past
> couple of weeks.
> 
> Will try to update the production server somewhere this weekend and update
> this issue with the results.

Do you want the newest nextcloud install?
This is momentan 13.0.1
And this version support php 7.2

Requires:       mod_php_any < 7.3.0
Requires:       mod_php_any >= 5.6.0

For some days or weeks the php version in Tumbleweed was to new to run with nextcloud.

And the module will only be enable when apache is install.
in your link this patch only check if Apache MPM is *not* prefork.

Please look, check again and give replay.
When not okay then post exactly the error message.
Best use zypper.
Comment 4 Hans de Raad 2018-05-10 19:48:53 UTC
The latest Tumbleweed snapshot (may 2018) seems to include the relevant PHP related packages so the update works now. I have been able to update without issues now. I will reopen the issue if the problem reappears with more debugging info.
Comment 5 Hans de Raad 2019-02-08 21:16:08 UTC
Currently there is another occurrence of this issue where mod_php_any can not be provided due to a version conflict.
The factory PHP version is 7.3.1, the nextcloud spec requires < 7.3.0.

This prevents a Nextcloud update on a recent Tumbleweed (20190115) version.
Comment 6 Eric Schirra 2019-02-08 21:48:46 UTC
Fix is on they way.
Comment 7 Eric Schirra 2019-02-08 21:50:27 UTC
Fixed
Comment 8 Hans de Raad 2019-02-08 22:33:48 UTC
Cool, thanks for your very fast response! As soon as the repo mirrors have synced I'll give it another shot!
Comment 9 OBSbugzilla Bot 2020-05-13 17:10:07 UTC
This is an autogenerated message for OBS integration:
This bug (1084320) was mentioned in
https://build.opensuse.org/request/show/805352 Backports:SLE-12 / nextcloud
Comment 10 Swamp Workflow Management 2020-05-17 19:12:38 UTC
openSUSE-SU-2020:0667-1: An update that solves two vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1084320,1171572,1171579
CVE References: CVE-2020-8154,CVE-2020-8155
Sources used:
SUSE Package Hub for SUSE Linux Enterprise 12 (src):    nextcloud-18.0.4-22.1